﻿

.navbar {
    margin-top: -0.5rem;
}

/*#region Logo*/
.img-logo {
    max-width: 7rem;
    margin-top: -1rem !important;
}

@media only screen and (max-width: 767px) {
    .img-logo {
        max-width: 10rem;
        margin-top: 0 !important;
    }
}

.img-logo-preloader {
    max-width: 7rem;
    margin-top: -2rem;
    filter: drop-shadow(2px 2px 0 rgb(255 255 255 / 10%));
    top: 45%;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%) translateX(-50%);
    position: absolute;
}
/*#endregion Logo*/


/*#region Video*/
video {
    position: fixed;
    right: 0;
    bottom: -12%;
    min-width: 100%;
    min-height: 100%;
}

#video:after {
    background: #6aa6e3;
    background: -moz-linear-gradient(top, #6aa6e3 0%, #154042 100%);
    background: -webkit-linear-gradient(top, #6aa6e3 0%,#154042 100%);
    background: linear-gradient(to bottom, #6aa6e3 0%,#154042 100%);
}
/*#endregion Video*/


/*#region Others*/
iframe {
    border-radius: 10px;
}

.fp-scrollable {
    height: calc(105vh - 200px) !important;
}

.owl-dots {
    margin-top: 0;
}

.item {
    margin: 1rem;
}

@media only screen and (max-width: 767px) {
    #header {
        background-color: transparent;
    }

    #navigation button i {
        color: #ffffff;
    }

    .scroll-down {
        display: none;
    }

    .section-inner {
        margin: 5rem 0rem;
    }

    .owl-carousel .owl-item {
        justify-content: center;
    }

    form {
        margin-top: 2rem;
    }
}
/*#endregion Others*/


/*#region Facts List*/
.facts-list {
    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: center;
    min-height: 10rem;
}

    .facts-list .counter-icon {
        max-width: 3rem;
        margin: auto;
        margin-bottom: 6px;
        filter: grayscale(100%);
    }

    .facts-list .item {
        transition: all 0.5s ease;
        background: rgba(0,0,0,0.25) !important;
        color: white !important;
        margin: 1rem 1rem;
        text-transform: capitalize;
        font-size: 1.3rem;
        font-family: 'Raleway';
        padding: 20px 0px;
        width: 33%;
    }

        .facts-list .item:hover {
            box-shadow: 0 0 5px rgb(233 233 233 / 75%) inset, 0 0 10px rgb(255 255 255 / 60%);
        }

        .facts-list .item .counter-box {
            display: flex;
            flex-direction: column;
        }

@media only screen and (max-width: 767px) {
    .facts-list {
        margin-top: 2rem;
        flex-wrap: wrap;
        flex-direction: column;
        margin-bottom: 3rem;
    }

        .facts-list .item {
            width: 50%;
        }
}
/*#endregion Facts List*/


/*#region Service List*/
.services-list {
    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: center;
    min-height: 20rem;
}

    .services-list .item {
        background-color: rgba(250,250,250,0.25);
        border-radius: 10px;
        -webkit-transition: all 0.5s ease;
        transition: all 0.5s ease;
        margin: 1rem;
        width: 25%;
        min-height: 18rem;
        text-align: center;
    }

        .services-list .item .service-icon {
            display: flex;
            margin: 0 auto 0;
            font-size: 64px;
            align-items: center;
            justify-content: center;
        }

            .services-list .item .service-icon img {
                max-width: 5rem;
                margin-bottom: 1rem;
            }

        .services-list .item:hover {
            background-color: rgba(250,250,250,0.25);
            border-radius: 10px;
            -webkit-transition: all 0.5s ease;
            transition: all 0.5s ease;
            box-shadow: 0 0 5px rgb(233 233 233 / 75%) inset, 0 0 10px rgb(255 255 255 / 60%);
            color: #dedede;
        }

            .services-list .item:hover img {
                -webkit-transition: all 0.5s ease;
                transition: all 0.5s ease;
            }

@media only screen and (max-width: 767px) {
    .services-list {
        margin-top: 5rem;
        flex-wrap: wrap;
        flex-direction: column;
    }

        .services-list .item {
            width: 90%;
        }
}
/*#endregion Service List*/


/*#region Contact*/
.contact-section .contact-row {
    flex-direction: column;
    padding: 15px 30px;
}

.contact-section textarea.form-control {
    height: 90px;
    padding-top: 15px;
}
/*#endregion Contact*/


/*#region Whatsapp button*/
.float {
    position: fixed;
    width: 60px;
    height: 60px;
    bottom: 85px;
    right: 40px;
    background-color: #25d366;
    color: #FFF !important;
    border-radius: 50%;
    text-align: center;
    font-size: 30px;
    box-shadow: 1px 2px 9px #25d366c4;
    z-index: 100;
    transition: 0.3s;
}

    .float:hover {
        transform: scale(1.1);
        color: lightgray;
    }

.my-float {
    margin-top: 16px;
}
/*#endregion Whatsapp button*/


/*#region About*/
.about-contentbox {
    margin-top: 30px;
}

.about-img {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

    .about-img img {
        max-width: 60vh;
        transition: all 0.5s ease;
        border-radius: 1rem !important;
    }

        .about-img img:hover {
            transform: scale(1.03);
            box-shadow: 0px 0px 15px rgb(255 255 255 / 90%);
        }

@media only screen and (min-width: 1440px) {
    .about-img img {
        max-width: 48vh;
    }
}

@media only screen and (max-width: 1439px) {
    .about-img {
        margin: auto;
    }

        .about-img img {
            max-width: 20rem;
        }
}
/*#endregion About*/


/*#region Portfolio*/


.portfolio-item {
    width: 100%;
    min-height: 100%;
    cursor: pointer;
}

    .portfolio-item h4 {
        text-shadow: 2px 2px 4px #000000;
    }

    .portfolio-item img {
        height: 20rem;
        width: 20rem !important;
    }

    .portfolio-item iframe {
        height: 20rem;
        width: 20rem !important;
    }

    .portfolio-item:hover {
        box-shadow: 8px 10px 48px -18px rgba(0,0,0,0.65);
        -webkit-box-shadow: 8px 10px 48px -18px rgba(0,0,0,0.65);
        -moz-box-shadow: 8px 10px 48px -18px rgba(0,0,0,0.65);
    }

        .portfolio-item:hover .thumb-inner p {
            margin-bottom: 1rem;
        }

    .portfolio-item .thumb-inner {
        border-bottom-right-radius: 10px;
        border-bottom-left-radius: 10px;
    }

        .portfolio-item .thumb-inner a {
            color: #53afa6;
            font-weight: 700;
        }

    .portfolio-item:hover .thumb-inner h4 {
        margin-top: 5%;
        text-shadow: 2px 2px 4px #878787;
    }
/*#endregion Portfolio*/


/*#region Services Solutions List*/
.box-list {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;
    border-bottom: solid 1px #178b85;
    padding: 0.5rem 0;
}

    .box-list .box-list-img:before {
        margin-right: 1rem;
        background-image: url(../images/icons/tick.png);
        background-size: 2.5rem 2.5rem;
        background-repeat: no-repeat;
        display: inline-block;
        width: 3rem;
        height: 2.5rem;
        content: "";
    }

    .box-list p {
        margin: 0;
    }
/*#endregion Services Solutions List*/


/*#region button more products*/
.container-button {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    margin-top: 2rem;
}

    .container-button .button {
        position: relative;
        top: 0;
        left: 0;
        width: 200px;
        height: 45px;
        margin: 0;
        display: flex;
        justify-content: center;
        align-items: center;
    }

        .container-button .button a {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            background: rgba(255, 255, 255, 0.05);
            box-shadow: 0 15px 15px rgba(0, 0, 0, 0.3);
            border-bottom: 1px solid rgba(255, 255, 255, 0.1);
            border-top: 1px solid rgba(255, 255, 255, 0.1);
            border-radius: 30px;
            padding: 10px;
            letter-spacing: 1px;
            text-decoration: none;
            overflow: hidden;
            color: #fff;
            font-weight: 400px;
            z-index: 1;
            transition: 0.5s;
            backdrop-filter: blur(15px);
        }

        .container-button .button:hover a {
            letter-spacing: 3px;
        }

        .container-button .button a::before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 50%;
            height: 100%;
            background: linear-gradient(to left, rgba(255, 255, 255, 0.15), transparent);
            transform: skewX(45deg) translate(0);
            transition: 0.5s;
            filter: blur(0px);
        }

        .container-button .button:hover a::before {
            transform: skewX(45deg) translate(200px);
        }

        .container-button .button::before {
            content: "";
            position: absolute;
            left: 50%;
            transform: translatex(-50%);
            bottom: -5px;
            width: 30px;
            height: 10px;
            background: #f00;
            border-radius: 10px;
            transition: 0.5s;
            transition-delay: 0.5;
        }

        .container-button .button:hover::before /*lightup button*/ {
            bottom: 0;
            height: 50%;
            width: 80%;
            border-radius: 30px;
        }

        .container-button .button::after {
            content: "";
            position: absolute;
            left: 50%;
            transform: translatex(-50%);
            top: -5px;
            width: 30px;
            height: 10px;
            background: #f00;
            border-radius: 10px;
            transition: 0.5s;
            transition-delay: 0.5;
        }

        .container-button .button:hover::after /*lightup button*/ {
            top: 0;
            height: 50%;
            width: 80%;
            border-radius: 30px;
        }

        .container-button .button:nth-child(1)::before,
        .container-button .button:nth-child(1)::after {
            background: #2db2ff;
            box-shadow: 0 0 5px #2db2ff, 0 0 15px #2db2ff, 0 0 30px #2db2ff, 0 0 60px #2db2ff;
        }

/*#endregion button more products*/


/*#region List Solutions*/
.list-solutions {
    margin: 0;
    min-width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
}
/*#endregion List Solutions*/






/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1000; /* Sit on top */
    padding-top: 5vh; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (image) */
.modal-content {
    margin: auto;
    display: block;
    width: 90vh;
    //max-width: 75%;
}

/* Caption of Modal Image */
#caption {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
}

/* Add Animation */
.modal-content, #caption {
    -webkit-animation-name: zoom;
    -webkit-animation-duration: 0.6s;
    animation-name: zoom;
    animation-duration: 0.6s;
}

.out {
    animation-name: zoom-out;
    animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
    from {
        -webkit-transform: scale(1)
    }

    to {
        -webkit-transform: scale(2)
    }
}

@keyframes zoom {
    from {
        transform: scale(0.4)
    }

    to {
        transform: scale(1)
    }
}

@keyframes zoom-out {
    from {
        transform: scale(1)
    }

    to {
        transform: scale(0)
    }
}

/* The Close Button */
.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

    .close:hover,
    .close:focus {
        color: #bbb;
        text-decoration: none;
        cursor: pointer;
    }

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px) {
    .modal-content {
        width: 100%;
    }
}



.label-captcha {
    background-color: #636567 !important;
    text-align: center;
    font-size: 20px;
    font-family: cursive;
    letter-spacing: 3px;
}

.input-field {
    margin-bottom: -15px;
}









.one, .two, .three, .four, .five {
    border: none;
    border-radius: 20px;
    text-shadow: 0px 0px 10px rgba(0, 0, 0, 0.48);
    overflow: hidden;
    padding: 10px 35px 10px 55px;
    margin-bottom: 20px;
    font-size: 20px;
    position: relative;
    color: white;
    outline: none;
    cursor: pointer;
    width: 220px;
    -webkit-transition: background-position .7s,box-shadow .4s;
    transition: background-position .7s,box-shadow .4s;
    background-size: 110%;
    font-family: 'Oswald', sans-serif;
}

    .one:hover, .two:hover, .three:hover, .four:hover, .five:hover {
        background-position: 0% 30%;
    }

        .one:hover:after, .two:hover:after, .three:hover:after, .four:hover:after, .five:hover:after {
            right: -15px;
            -webkit-transition: right .4s,-webkit-transform 30s .2s linear;
            transition: right .4s,-webkit-transform 30s .2s linear;
            transition: right .4s,transform 30s .2s linear;
            transition: right .4s,transform 30s .2s linear,-webkit-transform 30s .2s linear;
        }

    .one:before, .two:before, .three:before, .four:before, .five:before, .one:after, .two:after, .three:after, .four:after, .five:after {
        font-family: FontAwesome;
        display: block;
        position: absolute;
    }

    .one:before, .two:before, .three:before, .four:before, .five:before {
        -webkit-transition: all 1s;
        transition: all 1s;
        font-size: 30px;
        left: 25px;
        top: 2px;
    }

    .one:after, .two:after, .three:after, .four:after, .five:after {
        -webkit-transition: right .4s, -webkit-transform .2s;
        transition: right .4s, -webkit-transform .2s;
        transition: right .4s, transform .2s;
        transition: right .4s, transform .2s, -webkit-transform .2s;
        font-size: 55px;
        opacity: .3;
        right: -120px;
        top: -10px;
    }


.two {
    box-shadow: 0px 0px 0px 1px rgba(255, 255, 255, 0.16) inset, 0px 0px 1px 0px #36ab9f;
    background-image: linear-gradient(to bottom, #0f9595, rgb(23 171 138 / 58%));
}

    .two:hover {
        box-shadow: 0px 0px 0px 2px rgba(255, 255, 255, 0.16) inset, 0px 0px 15px 0px #4ab2b9;
        text-decoration: none;
    }

        .two:hover:after {
            -webkit-transform: scale(1);
            transform: scale(1);
        }

        .two:hover:before {
            -webkit-transform: scale(1.2);
            transform: scale(1.2);
        }

    .two:after, .two:before {
        content: "";
    }

    .two b {
        color: #FFD9B4;
        font-weight: 700;
    }


.discount {
    border-radius: 50%;
    background: red;
    height: 48px;
    width: 48px;
    position: absolute;
    right: calc(50% + -135px);
    top: -20px;
    font-size: 15px;
    text-align: center;
    text-transform: uppercase;
    font-family: system-ui;
    line-height: 15px;
    letter-spacing: 1px;
    padding: 9px;
    box-shadow: 0px 0px 0px 2px rgba(255, 255, 255, 0.16) inset, 0px 0px 10px 0px #271719;
    animation: attention 7s ease infinite;
}

@keyframes attention {
    9% {
        transform: none;
    }

    12% {
        transform: scale(1.07);
    }

    16% {
        transform: scale(0.95);
    }

    20% {
        transform: scale(1.05);
    }

    24% {
        transform: scale(1);
    }
}